### Constructor

# EBookContacts VCard new_from_string

#### Declaration [src]

    EVCard*
    e_vcard_new_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new `EVCard` from the passed-in string representation.

#### Parameters

`str`

  Type: `const gchar*`

  A string representation of the vcard to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EVCard`

A new `EVCard`.

The caller of the function takes ownership of the data, and is responsible for freeing it.